/**
 * \file
 *
 * \brief Header file for SAM4L
 *
 * Copyright (c) 2012-2018 Microchip Technology Inc. and its subsidiaries.
 *
 * \asf_license_start
 *
 * \page License
 *
 * Subject to your compliance with these terms, you may use Microchip
 * software and any derivatives exclusively with Microchip products.
 * It is your responsibility to comply with third party license terms applicable
 * to your use of third party software (including open source software) that
 * may accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE,
 * INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY,
 * AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL MICROCHIP BE
 * LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE
 * SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE
 * POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY
 * RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
 * THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * \asf_license_stop
 *
 */
/*
 * Support and FAQ: visit <a href="https://www.microchip.com/support/">Microchip Support</a>
 */
#ifndef _SAM4L_
#define _SAM4L_

#if defined (__ATSAM4LC2A__) || defined (__SAM4LC2A__)
#include "sam4lc2a.h"
#elif defined (__ATSAM4LC2B__) || defined (__SAM4LC2B__)
#include "sam4lc2b.h"
#elif defined (__ATSAM4LC2C__) || defined (__SAM4LC2C__)
#include "sam4lc2c.h"
#elif defined (__ATSAM4LC4A__) || defined (__SAM4LC4A__)
#include "sam4lc4a.h"
#elif defined (__ATSAM4LC4B__) || defined (__SAM4LC4B__)
#include "sam4lc4b.h"
#elif defined (__ATSAM4LC4C__) || defined (__SAM4LC4C__)
#include "sam4lc4c.h"
#elif defined (__ATSAM4LC8A__) || defined (__SAM4LC8A__)
#include "sam4lc8a.h"
#elif defined (__ATSAM4LC8B__) || defined (__SAM4LC8B__)
#include "sam4lc8b.h"
#elif defined (__ATSAM4LC8C__) || defined (__SAM4LC8C__)
#include "sam4lc8c.h"
#elif defined (__ATSAM4LS2A__) || defined (__SAM4LS2A__)
#include "sam4ls2a.h"
#elif defined (__ATSAM4LS2B__) || defined (__SAM4LS2B__)
#include "sam4ls2b.h"
#elif defined (__ATSAM4LS2C__) || defined (__SAM4LS2C__)
#include "sam4ls2c.h"
#elif defined (__ATSAM4LS4A__) || defined (__SAM4LS4A__)
#include "sam4ls4a.h"
#elif defined (__ATSAM4LS4B__) || defined (__SAM4LS4B__)
#include "sam4ls4b.h"
#elif defined (__ATSAM4LS4C__) || defined (__SAM4LS4C__)
#include "sam4ls4c.h"
#elif defined (__ATSAM4LS8A__) || defined (__SAM4LS8A__)
#include "sam4ls8a.h"
#elif defined (__ATSAM4LS8B__) || defined (__SAM4LS8B__)
#include "sam4ls8b.h"
#elif defined (__ATSAM4LS8C__) || defined (__SAM4LS8C__)
#include "sam4ls8c.h"
#endif

#endif /* _SAM4L_ */
